#ifndef CAN_H
#define CAN_H


#define CAN_SPEED_1M		0
#define CAN_SPEED_800K		1
#define CAN_SPEED_500K		2
#define CAN_SPEED_250K		3
#define CAN_SPEED_125K		4
#define CAN_SPEED_100K		5
#define CAN_SPEED_50K		6
#define CAN_SPEED_20K		7
#define CAN_SPEED_10K		8


#define MSG_STANDARD		0
#define MSG_EXTENDED		1

typedef struct CANMESSAGE
{
  unsigned int  Rcv_msg_count;
  unsigned char Msg_Type;
  unsigned int Msg_ID;
  unsigned char Msg_len;
  unsigned int  Rtr;
  unsigned char Data[68];
}CANMESSAGE,*PCANMESSAGE;

CANMESSAGE RxMsg[10];

//char msgText[2][4] = {"STD", "XTD"} ;

/* USer defined functions*/
int init_can0();
int init_can1();
void can_close(int fd);
int set_baudrate(int can_fd, int baudrate);
int can_rx(int can_fd, CANMESSAGE Rx[]) ;
int can_tx( int can_fd, unsigned char  msgType, unsigned int can_id, int len,int rtr,unsigned char *data) ;

#endif

